### Method

# Gimp SaveProcedure set_support_xmp

#### Declaration [src]

    void
    gimp_save_procedure_set_support_xmp (
      GimpSaveProcedure* procedure,
      gboolean supports
    )

#### Description [src]

Determine whether `procedure` supports saving XMP data. By default, it won’t (so there is usually no reason to run this function with `FALSE`).

This will have several consequences:

- Automatically adds a standard auxiliary argument “save-xmp” in the end of the argument list of `procedure`, with relevant blurb and description.
- If used with other gimp_save_procedure_set_support_*() functions, they will always be ordered the same (the order of the calls don’t matter), keeping all save procedures consistent.
- Generated GimpSaveProcedureDialog will contain the metadata options, once again always in the same order and with consistent GUI style across plug-ins.
- API from `GimpProcedureConfig` will automatically process these properties to decide whether to save a given metadata or not.

Note that since this is an auxiliary argument, it won’t be part of the PDB arguments. By default, the value will be `gimp_export_xmp()`.

Available since: | 3.0

#### Parameters

`supports` | `gboolean`
| Whether XMP metadata are supported.